﻿using laba3.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace laba3.Subprograms
{
    /// <summary>
    /// CLI math game "Gusess the answer";
    /// Player need to guess result of math function;
    /// </summary>
    public class GuessAnswerMath
    {
            private const double PI = Math.PI;
            private const double E = Math.E;
            private double a;
            private double b;
            private double result;

            public void setArgs(double a, double b)
            {
                this.a = a;
                this.b = b;
            }

            public void ComputeResult()
            {
                this.result = Math.Sin((Math.Pow(a, 3) + Math.Pow(b, 5)) / (2 * PI)) + Math.Pow(Math.Cos(a + b), (1.0 / 3.0));
            }

            public bool CheckArgs()
            {
                return Math.Cos(a + b) >= 0;
            }

            public double GetResult()
            {
                return result;
            }
    }
}
